org.gnome.gtk

## Class StyleProperty

- Object
- - org.gnome.gtk.Style
  - - org.gnome.gtk.StyleProperty

-     public final class StyleProperty
      extends Style

  Styles that help to manipulate the property value of the `StyleContext` of a widget inside GTK.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StyleProperty` | `BACKGROUND_COLOR` A property holding the background color of rendered elements.
    `static StyleProperty` | `BACKGROUND_IMAGE` A property holding the element's background.
    `static StyleProperty` | `BORDER_COLOR` A property holding the element's border color.
    `static StyleProperty` | `BORDER_RADIUS` A property holding the rendered element's border radius in pixels.
    `static StyleProperty` | `BORDER_STYLE` A property holding the element's border style..
    `static StyleProperty` | `BORDER_WIDTH` A property holding the rendered element's border width in pixels as a GtkBorder.
    `static StyleProperty` | `COLOR` A property holding the foreground color of rendered elements.
    `static StyleProperty` | `FONT` A property holding the font properties used when rendering text as a PangoFontDescription.
    `static StyleProperty` | `MARGIN` A property holding the rendered element's margin as a GtkBorder.
    `static StyleProperty` | `PADDING` A property holding the rendered element's padding as a GtkBorder.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BACKGROUND_COLOR

          public static final StyleProperty BACKGROUND_COLOR

      A property holding the background color of rendered elements.

    - #### BACKGROUND_IMAGE

          public static final StyleProperty BACKGROUND_IMAGE

      A property holding the element's background.

    - #### BORDER_COLOR

          public static final StyleProperty BORDER_COLOR

      A property holding the element's border color.

    - #### BORDER_RADIUS

          public static final StyleProperty BORDER_RADIUS

      A property holding the rendered element's border radius in pixels.

    - #### BORDER_STYLE

          public static final StyleProperty BORDER_STYLE

      A property holding the element's border style..

    - #### BORDER_WIDTH

          public static final StyleProperty BORDER_WIDTH

      A property holding the rendered element's border width in pixels as a GtkBorder.

    - #### COLOR

          public static final StyleProperty COLOR

      A property holding the foreground color of rendered elements.

    - #### FONT

          public static final StyleProperty FONT

      A property holding the font properties used when rendering text as a PangoFontDescription.

    - #### MARGIN

          public static final StyleProperty MARGIN

      A property holding the rendered element's margin as a GtkBorder. The margin is defined as the spacing between the border of the element and its surrounding elements.

    - #### PADDING

          public static final StyleProperty PADDING

      A property holding the rendered element's padding as a GtkBorder. The padding is defined as the spacing between the inner part of the element border and its child.